#/bin/sh

SERVICE=supersand
TARGET=/opt/SuperSAN
PLATFORM=/dev/null

echo "Installing $SERVICE..."

if [ ! -d $TARGET ]
then
        mkdir -p $TARGET
fi

export PATH=$PATH:/sbin

num=0
if [ -f "/etc/init.d/$SERVICE" ]; then
        num=$(service $SERVICE status  | grep -v grep | grep running | wc -l)
fi

if [ $num -gt 0 ]
then
	echo "Stoping service $SERVICE..."
        service $SERVICE stop
fi

echo "Copying files..." 

cp ./supersand /etc/init.d
cp *.so /opt/SuperSAN
cp supersand /opt/SuperSAN
cp supersan /opt/SuperSAN
cp -u *.db /opt/SuperSAN


echo "Setting up service..."

if [ -f /etc/system-release ]
then
PLATFORM=/etc/system-release
fi

if [ -f /etc/os-release ]
then
PLATFORM=/etc/os-release
fi

if [ -n "$(grep 'CentOS' $PLATFORM)" ]
then
chkconfig --add $SERVICE
elif [ -n "$(grep 'Ubuntu' $PLATFORM)" ]
then
update-rc.d $SERVICE defaults
else
chkconfig --add $SERVICE
fi

echo "Starting service..."

service $SERVICE start

echo "Finished."
